#Loi de Planck (corps noir)
import matplotlib.pyplot as plt
import numpy as np

lambdamin=1e-10#en mètres
lambdamax=1e-6#en mètres

c=3.00e8
k=1.38e-23
h=6.626e-34

lambd= np.linspace(lambdamin, lambdamax, 1000)


fig, ax=plt.subplots()
for T in np.arange(5000, 10000, 1000):
    luminance=2*np.pi*h*c**2*lambd**(-5)/(np.exp(h*c/(k*lambd*T))-1)
    plt.plot(lambd, luminance, label=r'T= %s K'%(T))
    
plt.legend()
plt.title("Rayonnement du corps noir : loi de Planck")
plt.xlabel("longueur d'onde (m)")
plt.ylabel(r"Luminance ($W.m^{-3}.sr^{-1})$")
ax.ticklabel_format(style='sci', axis='x', scilimits=(-2,2))


# Limites du domaine visible : 2 options 2 lignes verticales ou zone colorée

#ax.axvline(4e-7, ls=':', color='purple', linewidth='0.5')
#ax.axvline(8e-7, ls=':', color='red', linewidth='0.5')
#plt.text(4e-7, 0, 'violet', color='purple', ha='center', rotation=90)
#plt.text(8e-7, 0, 'rouge', color='red', ha='center', rotation=90)
#------------------------------------------------------------------------------------------------------
#Zone colorée :
plt.fill_between((4e-7,8e-7), 0, 0.8e15, facecolor='green', alpha = 0.1)

plt.show()
